View Issue Details

IDProjectCategoryView StatusLast Update
0000054Industrial-Craft²general / otherpublic2013-02-02 01:34
Reporterbobcat64Assigned ToPlayer 
PrioritynormalSeveritymajorReproducibilitysometimes
Status resolvedResolutionfixed 
PlatformOSWindowsOS Version7
Product Version 
Target VersionFixed in Version 
Summary0000054: Sound related crashes
DescriptionRandomly crash when machines turn on or off. Its always a ConcurrentModificationException. I can't always reproduce it but its always when I'm near some IC2 machines that start working or stop working. I've attached the crash log.
Steps To ReproduceHard to reproduce but if a machine is turning off or on for whatever reason, especially many and there are other things making sounds (ie mobs, landing on a block, flicking a switch, etc) seems there is a chance for this crash.
Additional InformationI have about 11 other mods loaded, but I really doubt its any of those given the stack trace.

Given the name of the exception my guess is that there is some sort of threading conflict/race condition. I also have a feeling it has to do with the MC 1.4.2 update that added a ton of sounds, maybe they changed the sound engine a bit...

Also anytime a machine turns on or off this message will appear in the log (I'm using Magic Launcher)
[INFO] [STDOUT] Error in class 'SourceLWJGL OpenAL'
[INFO] [STDOUT] Channel null in method 'stop'
It repeats these 2 lines every time.

Very likely related to: http://bt.industrial-craft.net/view.php?id=15 but this causes crashes almost everytime I play.
TagsNo tags attached.
Minecraft Version

Activities

bobcat64

2012-11-06 20:35

reporter  

crash-2012-11-06_13.59.23-server.txt (4,432 bytes)
---- Minecraft Crash Report ----
// This doesn't make any sense!

Time: 11/6/12 1:59 PM
Description: Exception in server tick loop

java.util.ConcurrentModificationException
	at java.util.LinkedList$ListItr.checkForComodification(Unknown Source)
	at java.util.LinkedList$ListItr.next(Unknown Source)
	at ic2.common.AudioManagerClient.onTick(AudioManagerClient.java:105)
	at ic2.common.IC2.tickStart(IC2.java:1374)
	at cpw.mods.fml.common.SingleIntervalHandler.tickStart(SingleIntervalHandler.java:16)
	at cpw.mods.fml.common.FMLCommonHandler.tickStart(FMLCommonHandler.java:116)
	at cpw.mods.fml.common.FMLCommonHandler.onPreWorldTick(FMLCommonHandler.java:292)
	at net.minecraft.server.MinecraftServer.r(MinecraftServer.java:652)
	at net.minecraft.server.MinecraftServer.q(MinecraftServer.java:590)
	at bcb.q(IntegratedServer.java:110)
	at net.minecraft.server.MinecraftServer.run(MinecraftServer.java:497)
	at fp.run(SourceFile:818)

Relevant Details:
- Minecraft Version: 1.4.2
- Operating System: Windows 7 (amd64) version 6.1
- Java Version: 1.7.0_07, Oracle Corporation
- Java VM Version: Java HotSpot(TM) 64-Bit Server VM (mixed mode), Oracle Corporation
- Memory: 535874080 bytes (511 MB) / 1058734080 bytes (1009 MB) up to 1058734080 bytes (1009 MB)
- JVM Flags: 2 total; -Xms1024m -Xmx1024m
- AABB Pool Size: 2539 (142184 bytes; 0 MB) allocated, 0 (0 bytes; 0 MB) used
- FML: MCP v7.19 FML v4.2.18.433 Minecraft Forge 6.0.1.355 15 mods loaded, 15 mods active
	mcp [Minecraft Coder Pack] (minecraft.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available
	FML [Forge Mod Loader] (coremods) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available
	Forge [Minecraft Forge] (coremods) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available
	mod_CodeChickenCore [CodeChicken Core] (coremods) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available
	mod_NotEnoughItems [Not Enough Items] (coremods) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available
	mod_ImmibisCore [Immibis Core] (immibis-core_50.2.1_for_1.4.2-joined.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available
	mod_DimensionalAnchors [Dimensional Anchors] (zdimensional-anchor_50.2.1_for_1.4.2-joined.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available
	mod_ImmibisPeripherals [Immibis's Peripherals] (immibis-peripherals_50.1.2_for_1.4.2-joined.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available
	IC2 [IndustrialCraft 2] (industrialcraft-2_1.108.71-lf.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available
	IC2NuclearControl [Nuclear Control] (IC2NuclearControl-1.4.1.zip) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available
	mod_AdvancedRepulsionSystems [Advanced Repulsion Systems] (adv-repulsion-systems_50.2.0_for_1.4.2-joined.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available
	AdvancedPowerManagement [Advanced Power Management] (AdvancedPowerManagement-1.1.30-IC2_1.108.jar) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available
	ComputerCraft [ComputerCraft] (ComputerCraft1.46.zip) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available
	CCTurtle [ComputerCraft Turtles] (ComputerCraft1.46.zip) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available
	mod_InvTweaks [Inventory Tweaks] (InvTweaks-1.44-1.4.2.zip) Unloaded->Constructed->Pre-initialized->Initialized->Post-initialized->Available->Available->Available
- Is Modded: Definitely; 'forge,fml'
- Profiler Position: N/A (disabled)
- Vec3 Pool Size: 820 (45920 bytes; 0 MB) allocated, 685 (38360 bytes; 0 MB) used
- Player Count: 1 / 8; [ih['bobcat64'/232, l='RussWorld', x=-214.26, y=68.00, z=224.70]]
- World RussWorld Entities: 0 total; []
- World RussWorld Players: 0 total; []
- World RussWorld Chunk Stats: ServerChunkCache: 0 Drop: 0
- Type: Integrated Server

matjam

2012-11-06 22:32

reporter   ~0000119

Last edited: 2012-11-06 22:33

View 2 revisions

I documented a fix in http://bt.industrial-craft.net/view.php?id=15

It's due to the Server thread ticking AudioManager at the same time as PlatformClient.

There are also issues with the volume calculation method.

You should disable sound in IC2 config until there is a fixed version out.

Player

2013-02-02 01:34

administrator   ~0000728

Should have been fixed a while ago

Issue History

Date Modified Username Field Change
2012-11-06 20:35 bobcat64 New Issue
2012-11-06 20:35 bobcat64 File Added: crash-2012-11-06_13.59.23-server.txt
2012-11-06 22:32 matjam Note Added: 0000119
2012-11-06 22:33 matjam Note Edited: 0000119 View Revisions
2012-11-07 10:11 Gornakosh Status new => acknowledged
2013-02-02 01:34 Player Note Added: 0000728
2013-02-02 01:34 Player Status acknowledged => resolved
2013-02-02 01:34 Player Resolution open => fixed
2013-02-02 01:34 Player Assigned To => Player